> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reorder tables

> Bulk-update the display position of an org's tables in one transaction.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json patch /orgs/{org_id}/tables/positions
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/tables/positions:
    patch:
      tags:
        - Orgs Tables
      summary: Reorder tables
      description: Bulk-update the display position of an org's tables in one transaction.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReorderTablesSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ReorderTablesSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TableSchema'
components:
  schemas:
    ReorderTablesSchema:
      type: object
      properties:
        positions:
          $ref: '#/components/schemas/ReorderTablesSchemaPositions'
      required:
        - positions
    TableSchema:
      type: object
      properties:
        id:
          type: string
        type:
          $ref: '#/components/schemas/TableTypeSchema'
        name:
          type:
            - string
            - 'null'
          description: The name of the table.
          example: Companies
        description:
          type:
            - string
            - 'null'
          description: The description of the table.
          example: Companies are organizations that own and manage other organizations.
        record_prefix:
          type:
            - string
            - 'null'
          description: The prefix of the record.
          example: LEAD
        icon:
          anyOf:
            - $ref: '#/components/schemas/PickerIconEmojiSchema'
            - type: string
              maxLength: 64
              pattern: ^[a-zA-Z0-9_-]+$
              description: >-
                The name of a curated icon a user can pick for a table, view,
                field, or other entity
              oneOf:
                - $ref: '#/components/schemas/PickerIconNameSchema'
            - type: 'null'
          description: The picked icon. Null renders the default table icon.
        display_field_id:
          type:
            - string
            - 'null'
          description: The id of the display field.
        archived:
          type: boolean
          description: Whether the table is archived.
        position:
          type: integer
          description: Manual display order within the org.
        fields:
          type: array
          items:
            $ref: '#/components/schemas/TableFieldSchema'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - type
        - name
        - description
        - record_prefix
        - icon
        - display_field_id
        - archived
        - position
        - fields
        - created_at
        - updated_at
    ReorderTablesSchemaPositions:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
            maxLength: 128
          position:
            type: integer
            minimum: 0
            description: New position for the table.
        required:
          - id
          - position
      description: New positions for the tables.
    TableTypeSchema:
      type: string
      enum:
        - custom
        - contacts
        - chats
        - users
    PickerIconEmojiSchema:
      type: string
      format: emoji
      description: >-
        The emoji of a curated icon a user can pick for a table, view, field, or
        other entity
    PickerIconNameSchema:
      type: string
      enum:
        - TableCellsIcon
        - DatabaseIcon
        - DocumentTextIcon
        - DocumentChartBarIcon
        - ClipboardDocumentListIcon
        - ClipboardDocumentCheckIcon
        - FolderIcon
        - ArchiveBoxIcon
        - InboxIcon
        - BookOpenIcon
        - BookmarkIcon
        - NewspaperIcon
        - RectangleStackIcon
        - PencilSquareIcon
        - UserIcon
        - UsersIcon
        - UserGroupIcon
        - UserPlusIcon
        - IdentificationIcon
        - FaceSmileIcon
        - HandThumbUpIcon
        - HeartIcon
        - StarIcon
        - CheckBadgeIcon
        - TrophyIcon
        - CrownIcon
        - ChatBubbleLeftIcon
        - ChatBubbleLeftRightIcon
        - EnvelopeIcon
        - EnvelopeOpenIcon
        - PhoneIcon
        - DevicePhoneMobileIcon
        - MegaphoneIcon
        - BellIcon
        - PaperAirplaneIcon
        - AtSymbolIcon
        - RssIcon
        - LifebuoyIcon
        - ShoppingCartIcon
        - ShoppingBagIcon
        - BuildingStorefrontIcon
        - CreditCardIcon
        - BanknotesIcon
        - CurrencyDollarIcon
        - CurrencyEuroIcon
        - ReceiptPercentIcon
        - WalletIcon
        - CoinsIcon
        - GiftIcon
        - TagIcon
        - TicketIcon
        - ScaleIcon
        - TruckIcon
        - CubeIcon
        - CalendarIcon
        - CalendarDaysIcon
        - CalendarDateRangeIcon
        - ClockIcon
        - FlagIcon
        - CheckCircleIcon
        - ListBulletIcon
        - QueueListIcon
        - FunnelIcon
        - ChartBarIcon
        - ChartPieIcon
        - PresentationChartLineIcon
        - ArrowTrendingUpIcon
        - BriefcaseIcon
        - WrenchScrewdriverIcon
        - Cog6ToothIcon
        - KeyIcon
        - LockClosedIcon
        - ShieldCheckIcon
        - BoltIcon
        - LightBulbIcon
        - BeakerIcon
        - BugAntIcon
        - CpuChipIcon
        - CodeBracketIcon
        - CommandLineIcon
        - ServerIcon
        - LinkIcon
        - HomeIcon
        - HomeModernIcon
        - BuildingOfficeIcon
        - BuildingOffice2Icon
        - BuildingLibraryIcon
        - MapPinIcon
        - MapIcon
        - GlobeAltIcon
        - GlobeAmericasIcon
        - RocketLaunchIcon
        - PlaneIcon
        - CarIcon
        - SunIcon
        - MoonIcon
        - FireIcon
        - SparklesIcon
        - CakeIcon
        - AcademicCapIcon
        - ScissorsIcon
        - SwatchIcon
        - PaintBrushIcon
        - CoffeeIcon
        - UtensilsIcon
        - LeafIcon
        - DumbbellIcon
        - HeartPulseIcon
        - PawPrintIcon
        - StethoscopeIcon
        - CameraIcon
        - PhotoIcon
        - FilmIcon
        - VideoCameraIcon
        - MicrophoneIcon
        - MusicalNoteIcon
        - SpeakerWaveIcon
        - PlayCircleIcon
        - TvIcon
        - RadioIcon
        - PuzzlePieceIcon
        - GamepadIcon
      description: >-
        The name of a curated icon a user can pick for a table, view, field, or
        other entity
    TableFieldSchema:
      oneOf:
        - $ref: '#/components/schemas/TableSystemFieldSchema'
        - $ref: '#/components/schemas/TableCustomFieldSchema'
      discriminator:
        propertyName: kind
        mapping:
          system:
            $ref: '#/components/schemas/TableSystemFieldSchema'
          custom:
            $ref: '#/components/schemas/TableCustomFieldSchema'
    TableSystemFieldSchema:
      type: object
      properties:
        id:
          type: string
        table_id:
          type: string
        key:
          type: string
        type:
          $ref: '#/components/schemas/TableFieldTypeSchema'
        schema:
          $ref: '#/components/schemas/FieldSchema'
        readonly:
          type: boolean
        kind:
          type: string
          enum:
            - system
      required:
        - id
        - table_id
        - key
        - type
        - schema
        - readonly
        - kind
    TableCustomFieldSchema:
      type: object
      properties:
        id:
          type: string
        table_id:
          type: string
        key:
          type: string
        type:
          $ref: '#/components/schemas/TableFieldTypeSchema'
        schema:
          $ref: '#/components/schemas/FieldSchema'
        readonly:
          type: boolean
        kind:
          type: string
          enum:
            - custom
        config:
          $ref: '#/components/schemas/TableFieldConfigSchema'
        icon:
          anyOf:
            - $ref: '#/components/schemas/PickerIconEmojiSchema'
            - type: string
              maxLength: 64
              pattern: ^[a-zA-Z0-9_-]+$
              description: >-
                The name of a curated icon a user can pick for a table, view,
                field, or other entity
              oneOf:
                - $ref: '#/components/schemas/PickerIconNameSchema'
            - type: 'null'
        connection_id:
          type:
            - string
            - 'null'
        unique:
          type: boolean
        ai_mode:
          $ref: '#/components/schemas/TableFieldAiModeSchema'
        on_target_delete:
          $ref: '#/components/schemas/TableFieldOnTargetDeleteSchema'
        archived:
          type: boolean
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - table_id
        - key
        - type
        - schema
        - readonly
        - kind
        - config
        - icon
        - connection_id
        - unique
        - ai_mode
        - on_target_delete
        - archived
        - created_at
        - updated_at
    TableFieldTypeSchema:
      type: string
      enum:
        - string
        - number
        - boolean
        - date
        - datetime
        - enum
        - file
        - record
        - contact
        - user
        - chat
        - segment
        - assistant
    FieldSchema:
      oneOf:
        - $ref: '#/components/schemas/FieldFileSchema'
        - $ref: '#/components/schemas/FieldNumberSchema'
        - $ref: '#/components/schemas/FieldStringSchema'
        - $ref: '#/components/schemas/FieldBooleanSchema'
        - $ref: '#/components/schemas/FieldDateSchema'
        - $ref: '#/components/schemas/FieldDateTimeSchema'
        - $ref: '#/components/schemas/FieldTimeSchema'
        - $ref: '#/components/schemas/FieldEnumSchema'
        - $ref: '#/components/schemas/FieldContentSchema'
        - $ref: '#/components/schemas/FieldConnectionSchema'
        - $ref: '#/components/schemas/FieldRecordSchema'
        - $ref: '#/components/schemas/FieldContactSchema'
        - $ref: '#/components/schemas/FieldUserSchema'
        - $ref: '#/components/schemas/FieldChatSchema'
        - $ref: '#/components/schemas/FieldSegmentSchema'
        - $ref: '#/components/schemas/FieldAssistantSchema'
        - $ref: '#/components/schemas/FieldObjectSchema'
      discriminator:
        propertyName: type
        mapping:
          file:
            $ref: '#/components/schemas/FieldFileSchema'
          number:
            $ref: '#/components/schemas/FieldNumberSchema'
          string:
            $ref: '#/components/schemas/FieldStringSchema'
          boolean:
            $ref: '#/components/schemas/FieldBooleanSchema'
          date:
            $ref: '#/components/schemas/FieldDateSchema'
          datetime:
            $ref: '#/components/schemas/FieldDateTimeSchema'
          time:
            $ref: '#/components/schemas/FieldTimeSchema'
          enum:
            $ref: '#/components/schemas/FieldEnumSchema'
          content:
            $ref: '#/components/schemas/FieldContentSchema'
          connection:
            $ref: '#/components/schemas/FieldConnectionSchema'
          record:
            $ref: '#/components/schemas/FieldRecordSchema'
          contact:
            $ref: '#/components/schemas/FieldContactSchema'
          user:
            $ref: '#/components/schemas/FieldUserSchema'
          chat:
            $ref: '#/components/schemas/FieldChatSchema'
          segment:
            $ref: '#/components/schemas/FieldSegmentSchema'
          assistant:
            $ref: '#/components/schemas/FieldAssistantSchema'
          object:
            $ref: '#/components/schemas/FieldObjectSchema'
    TableFieldConfigSchema:
      type:
        - object
        - 'null'
      additionalProperties:
        $ref: '#/components/schemas/InputValuesWithDefinitionsSchema'
      description: >-
        Per-feature config map keyed by feature name (e.g. `button`,
        `auto_fill`, `sync`). Each value carries `input` + optional
        `definitions`.
    TableFieldAiModeSchema:
      type: string
      enum:
        - none
        - auto_fill
    TableFieldOnTargetDeleteSchema:
      type: string
      enum:
        - restrict
        - clear
        - cascade
      description: >-
        What happens when the referenced target is deleted (ref-typed fields
        only). `restrict` forbids deleting the target while any cell still
        points to it. `clear` allows the delete and drops those field values on
        remaining rows. `cascade` also deletes table rows that reference the
        target via this field.
    FieldFileSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - file
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldFileDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        allowed_types:
          type: array
          items:
            type: string
          description: >-
            Allowed mime types for the file field (e.g. image/*,
            application/pdf)
        visibility:
          $ref: '#/components/schemas/FileVisibilitySchema'
      required:
        - type
      description: The file type allows users to upload files
    FieldNumberSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - number
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldNumberDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: number
            - type: string
              enum:
                - '{{auto}}'
          description: The default value of the number field
      required:
        - type
      description: The number field allows users to input numbers
    FieldStringSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - string
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldStringDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: The default value of the string field
        format:
          type: string
          enum:
            - url
            - email
            - phone
          description: The validation type for the field
        min:
          type: number
          minimum: 1
          description: The minimum length of the string field
        max:
          type: number
          minimum: 1
          description: The maximum length of the string field
      required:
        - type
      description: The string field allows users to input text
    FieldBooleanSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - boolean
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          type: boolean
          description: The default value of the boolean field
      required:
        - type
      description: The boolean field allows users mark a field as true or false
    FieldDateSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - date
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDateDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          type:
            - string
            - 'null'
          format: date-time
          description: The default value of the date field, formatted as YYYY-MM-DD
      required:
        - type
      description: The date field allows users to select a date
    FieldDateTimeSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - datetime
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDateTimeDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The default value of the date time field, formatted as
            YYYY-MM-DDTHH:MM:SS
      required:
        - type
      description: The date and time field allows users to select a date and time
    FieldTimeSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - time
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldTimeDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
      required:
        - type
      description: The time field allows users to select a time
    FieldEnumSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - enum
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldEnumDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: The default value of the enum field
        items:
          type: array
          items:
            $ref: '#/components/schemas/FieldEnumItemSchema'
          description: The options for the enum field
        list:
          $ref: '#/components/schemas/FieldListSchema'
        additional_items:
          type: boolean
          description: Indicates whether additional unlisted items are allowed
      required:
        - type
        - items
      description: The select field used to select from a list of items
    FieldContentSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - content
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        content:
          type: string
          description: Any markdown content
        component:
          $ref: '#/components/schemas/FieldComponentSchema'
      required:
        - type
      description: The content field used to display markdown content
    FieldConnectionSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - connection
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        connection_type:
          $ref: '#/components/schemas/ConnectionTypeSchema'
      required:
        - type
        - connection_type
      description: The connection field used to select a connection
    FieldRecordSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - record
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: The default value of the record field (encoded record id)
        target_table_id:
          type: string
          description: The id of the table whose records are referenceable
      required:
        - type
      description: A reference to one or more records in another table
    FieldContactSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - contact
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: The default value of the contact field (encoded contact id)
      required:
        - type
      description: A reference to one or more contacts
    FieldUserSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - user
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: >-
            The default value of the user field (encoded user id of an org
            member)
      required:
        - type
      description: A reference to one or more users (org members)
    FieldChatSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - chat
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: The default value of the chat field (encoded chat id)
      required:
        - type
      description: A reference to one or more chats
    FieldSegmentSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - segment
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: The default value of the segment field (encoded segment id)
      required:
        - type
      description: A reference to one or more segments
    FieldAssistantSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - assistant
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: The default value of the assistant field (encoded assistant id)
      required:
        - type
      description: A reference to one or more assistants
    FieldObjectSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - object
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        metadata:
          type: object
          properties: {}
          additionalProperties: {}
          description: Additional metadata for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        properties:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/FieldSchema'
          description: >-
            A record of fields that can be of various types including object
            fields
        format:
          type: string
          enum:
            - schema
          description: The validation type for the object field
        additional_properties:
          anyOf:
            - $ref: '#/components/schemas/FieldAdditionalPropertiesSchema'
            - $ref: '#/components/schemas/FieldListSchema'
            - type: boolean
        default:
          anyOf:
            - type: object
              properties: {}
              additionalProperties: {}
            - type: array
              items:
                type: object
                properties: {}
                additionalProperties: {}
          description: The default value of the object field
      required:
        - type
        - properties
      description: The object field that can contain other fields, including nested objects
    InputValuesWithDefinitionsSchema:
      type: object
      properties:
        input:
          $ref: '#/components/schemas/InputValuesSchema'
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsSchema'
      required:
        - input
      description: The input values with their dynamic field definitions
    FieldFileDisplaySchema:
      allOf:
        - $ref: '#/components/schemas/FieldDisplaySchema'
        - type: object
          properties:
            render:
              $ref: '#/components/schemas/FieldFileDisplayRenderSchema'
      description: Display options for the file field
    FieldSelectorModeSchema:
      type: string
      enum:
        - all
        - auto
        - manual
      description: >-
        Indicates the mode of the selector, auto will allow AI to determine the
        value, manual will allow the user to manually input a value
    FieldConditionSchema:
      type: object
      properties:
        field:
          $ref: '#/components/schemas/FieldKeySchema'
        operator:
          $ref: '#/components/schemas/FieldConditionOperatorSchema'
        value: {}
      required:
        - field
        - operator
      description: Condition for the field
    FieldPickerSchema:
      oneOf:
        - $ref: '#/components/schemas/FieldPickerGoogleDriveSchema'
        - $ref: '#/components/schemas/FieldPickerWhatsappTemplateSchema'
      discriminator:
        propertyName: type
        mapping:
          google_drive:
            $ref: '#/components/schemas/FieldPickerGoogleDriveSchema'
          whatsapp_template:
            $ref: '#/components/schemas/FieldPickerWhatsappTemplateSchema'
      description: Picker configuration, when specified it makes this field a picker
    FieldKeySchema:
      type: string
      maxLength: 256
      pattern: ^[^.]+$
      description: The key of the field
    FileVisibilitySchema:
      type: string
      enum:
        - PUBLIC
        - PRIVATE
      description: >-
        Whether the file is private or public, private files URLs are signed
        with a token and can be accessed temporarily
      example: PRIVATE
    FieldNumberDisplaySchema:
      type: object
      properties:
        field:
          $ref: '#/components/schemas/FieldLayoutSchema'
        container:
          $ref: '#/components/schemas/FieldContainerSchema'
        format:
          $ref: '#/components/schemas/FieldNumberDisplayFormatSchema'
        notation:
          $ref: '#/components/schemas/FieldNumberDisplayNotationSchema'
        decimals:
          type: integer
          minimum: 0
          maximum: 8
          description: Fixed fraction digits (min and max); omit for the locale default
        currency:
          type: string
          maxLength: 3
          description: >-
            ISO 4217 currency code, used when `format` is `currency`; defaults
            to USD when omitted
        show_as:
          $ref: '#/components/schemas/FieldNumberShowAsSchema'
      description: Display options for the number field
    FieldStringDisplaySchema:
      allOf:
        - $ref: '#/components/schemas/FieldDisplaySchema'
        - type: object
          properties:
            render:
              $ref: '#/components/schemas/FieldStringDisplayRenderSchema'
      description: Display options for the string field
    FieldDisplaySchema:
      type: object
      properties:
        field:
          $ref: '#/components/schemas/FieldLayoutSchema'
        container:
          $ref: '#/components/schemas/FieldContainerSchema'
      description: Display options for the field
    FieldDateDisplaySchema:
      allOf:
        - $ref: '#/components/schemas/FieldDisplaySchema'
        - type: object
          properties:
            date_format:
              $ref: '#/components/schemas/FieldDateFormatSchema'
      description: Display options for the date field
    FieldDateTimeDisplaySchema:
      allOf:
        - $ref: '#/components/schemas/FieldDisplaySchema'
        - type: object
          properties:
            date_format:
              $ref: '#/components/schemas/FieldDateFormatSchema'
            time_format:
              $ref: '#/components/schemas/FieldTimeFormatSchema'
      description: Display options for the datetime field
    FieldTimeDisplaySchema:
      allOf:
        - $ref: '#/components/schemas/FieldDisplaySchema'
        - type: object
          properties:
            time_format:
              $ref: '#/components/schemas/FieldTimeFormatSchema'
      description: Display options for the time field
    FieldEnumDisplaySchema:
      allOf:
        - $ref: '#/components/schemas/FieldDisplaySchema'
        - type: object
          properties:
            render:
              $ref: '#/components/schemas/FieldEnumDisplayRenderSchema'
            sort:
              $ref: '#/components/schemas/FieldEnumDisplaySortSchema'
      description: Display options for the enum field
    FieldEnumItemSchema:
      type: object
      properties:
        label:
          type: string
          description: Label of the enum item
        value:
          type: string
          description: Value of the enum item
        description:
          type: string
          description: Description of the enum item
        color:
          $ref: '#/components/schemas/ColorNameSchema'
        icon:
          type: string
          maxLength: 64
          pattern: ^[a-zA-Z0-9_-]+$
          description: The name of the icon to use in the UI
          oneOf:
            - $ref: '#/components/schemas/IconNameSchema'
        icon_url:
          type: string
        metadata:
          $ref: '#/components/schemas/FieldEnumItemMetadataSchema'
      required:
        - value
      description: The enum item
    FieldListSchema:
      type: object
      properties:
        path:
          type: string
          description: The connection list action path used to show autocomplete options
        resource_id:
          type: string
          description: >-
            An optional resource ID to scope the list to a specific resource,
            only used on dynamic fields
        sync_on_mount:
          type: boolean
          description: >-
            When true, the selected value is re-fetched on mount to keep cached
            metadata in sync with the remote source
      description: >-
        Configuration for fields that fetch their data from a remote connection
        list action
    FieldComponentSchema:
      oneOf:
        - $ref: '#/components/schemas/FieldWhatsappTemplateComponentSchema'
      discriminator:
        propertyName: type
        mapping:
          whatsapp_template:
            $ref: '#/components/schemas/FieldWhatsappTemplateComponentSchema'
      description: The component field used to display a custom component
    ConnectionTypeSchema:
      type: string
      enum:
        - SCHEDULER
        - WORKFLOWS
        - TOOLS
        - FILES
        - EMAILS
        - HTTP_CREDENTIALS
        - TABLES
        - PAGES
        - KNOWLEDGE
        - SKILLS
        - CONTACTS
        - SEGMENTS
        - ASSISTANTS
        - INBOX
        - MEMBERS
        - BROADCASTS
        - ANALYTICS
        - AUDIT
        - PHONE
        - GMAIL
        - GOOGLE_SHEETS
        - GOOGLE_CALENDAR
        - GOOGLE_DRIVE
        - OUTLOOK_CALENDAR
        - AIRTABLE
        - NOTION
        - LINEAR
        - HUBSPOT
        - GOHIGHLEVEL
        - CAL
        - CALENDLY
        - RESEND
        - OAUTH
        - SLACK
        - TELEGRAM
        - TRELLO
        - FACEBOOK
        - WHATSAPP
        - INSTAGRAM
        - MESSENGER
        - TIKTOK
        - JAPIFON
        - TWILIO
        - TELNYX
        - ZOHO
        - ZOHO_BOOKINGS
        - ZOHO_INVENTORY
        - ZOHO_CALENDAR
        - SALESFORCE
        - STRIPE
        - SHOPIFY
        - ZENDESK
        - MCP
        - ODOO
        - WOOCOMMERCE
      description: Connection type
      example: SLACK
    FieldAdditionalPropertiesSchema:
      type: object
      properties:
        schema:
          $ref: '#/components/schemas/FieldSchema'
      required:
        - schema
    InputValuesSchema:
      type: object
      additionalProperties: {}
      description: Values of the fields
    DynamicFieldsSchema:
      type: object
      properties:
        path:
          type: string
        definition:
          $ref: '#/components/schemas/FieldsSchema'
      required:
        - path
        - definition
      description: The dynamic fields input definitions
    FieldFileDisplayRenderSchema:
      type: string
      enum:
        - button
        - dropzone
      description: The render type of the file field
    FieldConditionOperatorSchema:
      type: string
      enum:
        - eq
        - neq
        - gt
        - gte
        - lt
        - lte
        - contains
        - not_contains
        - is_empty
        - is_not_empty
      description: The operator for the field condition
    FieldPickerGoogleDriveSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - google_drive
          description: Picker that allows selecting files from Google Drive
        views:
          type: array
          items:
            $ref: '#/components/schemas/FieldPickerGoogleDriveViewSchema'
        selectable_mime_types:
          type: array
          items:
            type: string
          description: >-
            A comma-separated list of MIME types to restrict the selectable
            files in the picker
      required:
        - type
        - views
      description: Picker that allows selecting from Google Drive files
    FieldPickerWhatsappTemplateSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - whatsapp_template
          description: Picker that allows selecting from WhatsApp templates
      required:
        - type
      description: Picker that allows selecting a WhatsApp template
    FieldLayoutSchema:
      type: string
      enum:
        - inline
        - stacked
      description: Controls how the label and field are arranged (inline or stacked)
    FieldContainerSchema:
      type: string
      enum:
        - grid
        - full
        - center
      description: >-
        Controls how the field container behaves in terms of width and
        positioning
    FieldNumberDisplayFormatSchema:
      type: string
      enum:
        - number
        - percent
        - currency
      description: >-
        Numeric style (maps to Intl.NumberFormat `style`); `number` is a plain
        number. Thousand separators are always applied.
    FieldNumberDisplayNotationSchema:
      type: string
      enum:
        - standard
        - compact
      description: >-
        Number notation (maps to Intl.NumberFormat `notation`); `compact`
        renders 1.2K (short form)
    FieldNumberShowAsSchema:
      type: object
      properties:
        kind:
          type: string
          enum:
            - number
            - bar
            - ring
          description: 'How to render the number: a plain value, a progress bar, or a ring'
        color:
          $ref: '#/components/schemas/ColorNameSchema'
        divide_by:
          type: number
          exclusiveMinimum: 0
          description: Denominator for the bar / ring progress (value / divide_by)
        show_number:
          type: boolean
          description: Show the numeric value alongside the bar / ring
      required:
        - kind
      description: Renders the number as a plain value, a progress bar, or a ring
    FieldStringDisplayRenderSchema:
      type: string
      enum:
        - text
        - textarea
        - password
      description: >-
        The render type of the string field, text is a single line input,
        textarea is a multi-line input
    FieldDateFormatSchema:
      type: string
      enum:
        - full
        - short
        - month_day_year
        - day_month_year
        - year_month_day
        - relative
      description: The rendered date format for date / datetime fields
    FieldTimeFormatSchema:
      type: string
      enum:
        - hidden
        - 12h
        - 24h
      description: >-
        The rendered time format for datetime / time fields. `hidden` collapses
        a datetime to a date-only render.
    FieldEnumDisplayRenderSchema:
      type: string
      enum:
        - dropdown
        - inline
      description: The render type of the enum field
    FieldEnumDisplaySortSchema:
      type: string
      enum:
        - manual
        - asc
        - desc
      description: >-
        Option ordering by label; `manual` keeps the `items[]` order (default),
        `asc` A→Z, `desc` Z→A
    ColorNameSchema:
      type: string
      enum:
        - red
        - orange
        - amber
        - yellow
        - lime
        - green
        - teal
        - cyan
        - sky
        - blue
        - indigo
        - violet
        - purple
        - fuchsia
        - pink
        - rose
        - neutral
      description: The name of the color to use in the UI
    IconNameSchema:
      type: string
      enum:
        - StepFormIcon
        - StepAiIcon
        - StepNoteIcon
        - StepBranchIcon
        - StepCodeIcon
        - ConnectionIcon
        - ConnectionSchedulerIcon
        - ConnectionFilesIcon
        - ConnectionHttpIcon
        - ConnectionWorkflowIcon
        - ConnectionMcpIcon
        - ConnectionAudienceIcon
        - ConnectionTablesIcon
        - ConnectionAssistantsIcon
        - ConnectionInboxIcon
        - ConnectionKnowledgeIcon
        - ConnectionAuditIcon
        - InternalIntegrationIcon
        - CustomIntegrationIcon
        - ToolThinkIcon
        - ToolWebSearchIcon
        - ToolWebScrapingIcon
        - ToolGenerateImageIcon
        - ToolDisplayFileIcon
        - ToolCalculatorIcon
        - ToolGenerateFileIcon
        - ToolGeneratePdfIcon
        - ToolRunCodeIcon
        - ToolDeepResearchIcon
        - ToolSearchKbIcon
        - ToolShowOptionsIcon
        - ToolRequestLocationIcon
        - ToolSendLocationIcon
        - ToolManageMemoryIcon
        - ToolUpdateContactIcon
        - TextIcon
        - ClockFadingIcon
        - CalendarIcon
        - CloudIcon
        - GlobeAltIcon
        - LockClosedIcon
        - NoSymbolIcon
        - SparklesIcon
        - AcademicCapIcon
        - HandRaisedIcon
        - BoltIcon
        - FileSpreadsheetIcon
        - DatabaseIcon
        - TableIcon
        - TableRowIcon
        - TableRowAddIcon
        - TableRowEditIcon
        - TableRowDeleteIcon
        - TableRowsIcon
        - PageIcon
        - UserIcon
        - UsersIcon
        - EmailIcon
        - PhoneIcon
        - CurrencyIcon
        - FunctionIcon
        - TableCellsIcon
        - DocumentTextIcon
        - QueueListIcon
        - TagIcon
        - SettingsIcon
        - ShoppingCartIcon
        - ShoppingBagIcon
        - BuildingStorefrontIcon
        - MegaphoneIcon
        - WrenchScrewdriverIcon
        - DocumentChartBarIcon
        - ClipboardDocumentListIcon
        - ClipboardDocumentCheckIcon
        - FolderIcon
        - ArchiveBoxIcon
        - InboxIcon
        - BookOpenIcon
        - BookmarkIcon
        - NewspaperIcon
        - RectangleStackIcon
        - PencilSquareIcon
        - UserGroupIcon
        - UserPlusIcon
        - IdentificationIcon
        - FaceSmileIcon
        - HandThumbUpIcon
        - HeartIcon
        - StarIcon
        - CheckBadgeIcon
        - TrophyIcon
        - CrownIcon
        - ChatBubbleLeftIcon
        - ChatBubbleLeftRightIcon
        - EnvelopeIcon
        - EnvelopeOpenIcon
        - DevicePhoneMobileIcon
        - BellIcon
        - PaperAirplaneIcon
        - AtSymbolIcon
        - RssIcon
        - LifebuoyIcon
        - CreditCardIcon
        - BanknotesIcon
        - CurrencyDollarIcon
        - CurrencyEuroIcon
        - ReceiptPercentIcon
        - WalletIcon
        - CoinsIcon
        - GiftIcon
        - TicketIcon
        - ScaleIcon
        - TruckIcon
        - CubeIcon
        - CalendarDaysIcon
        - CalendarDateRangeIcon
        - ClockIcon
        - FlagIcon
        - CheckCircleIcon
        - ListBulletIcon
        - FunnelIcon
        - ChartBarIcon
        - ChartPieIcon
        - PresentationChartLineIcon
        - ArrowTrendingUpIcon
        - BriefcaseIcon
        - Cog6ToothIcon
        - KeyIcon
        - ShieldCheckIcon
        - LightBulbIcon
        - BeakerIcon
        - BugAntIcon
        - CpuChipIcon
        - CodeBracketIcon
        - CommandLineIcon
        - ServerIcon
        - LinkIcon
        - HomeIcon
        - HomeModernIcon
        - BuildingOfficeIcon
        - BuildingOffice2Icon
        - BuildingLibraryIcon
        - MapPinIcon
        - MapIcon
        - GlobeAmericasIcon
        - RocketLaunchIcon
        - PlaneIcon
        - CarIcon
        - SunIcon
        - MoonIcon
        - FireIcon
        - CakeIcon
        - ScissorsIcon
        - SwatchIcon
        - PaintBrushIcon
        - CoffeeIcon
        - UtensilsIcon
        - LeafIcon
        - DumbbellIcon
        - HeartPulseIcon
        - PawPrintIcon
        - StethoscopeIcon
        - CameraIcon
        - PhotoIcon
        - FilmIcon
        - VideoCameraIcon
        - MicrophoneIcon
        - MusicalNoteIcon
        - SpeakerWaveIcon
        - PlayCircleIcon
        - TvIcon
        - RadioIcon
        - PuzzlePieceIcon
        - GamepadIcon
        - ModelAutoIcon
        - ModelOpenAIIcon
        - ModelAnthropicIcon
        - ModelClaudeIcon
        - ModelGoogleIcon
        - ModelXAIIcon
        - ModelGrokIcon
        - ModelPerplexityIcon
        - ModelGroqIcon
        - ModelAzureIcon
        - ModelElevenLabsIcon
        - ModelDeepgramIcon
        - ModelOpenRouterIcon
        - ModelDeepSeekIcon
        - ModelMoonshotIcon
        - ModelQwenIcon
        - ModelMetaIcon
        - ModelZhipuIcon
      description: The name of the icon to use in the UI
    FieldEnumItemMetadataSchema:
      type: object
      properties:
        link:
          type: string
          format: uri
          description: A link associated with the enum item
        data:
          description: Additional data for the enum item
      description: Additional metadata for the enum item
    FieldWhatsappTemplateComponentSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - whatsapp_template
      required:
        - type
      description: The component field used to display a WhatsApp template
    FieldsSchema:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/FieldSchema'
      description: The definition of the field schemas
    FieldPickerGoogleDriveViewSchema:
      type: string
      enum:
        - DOCS
        - DOCS_IMAGES
        - DOCS_IMAGES_AND_VIDEOS
        - DOCS_VIDEOS
        - DOCUMENTS
        - DRAWINGS
        - FOLDERS
        - FORMS
        - PDFS
        - PRESENTATIONS
        - SPREADSHEETS
      description: The views available for the Google Drive picker
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````